Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Classes | Typedefs | Enumerations | Functions
Zip Namespace Reference
Zip Code

Namespace for the zip code. More...

## Classes
class | CentralDir
class | Compressor
class | EndOfCentralDir
class | ExtraField
class | FileHeader
class | ZipArchive
| Class for accessing Zip files. More...
class | ZipStatFilter
| Helper class for tracking CRC and uncompressed size. More...
class | ZipTempStream

## Typedefs
typedef ExtraField *(* | ExtraFieldCreateFn) ()

## Enumerations
enum | CDIntFlags { CDFileDirty = BIT(0), CDFileAdded = BIT(1), CDFileDeleted = BIT(2), CDFileOpen = BIT(3) }
| Internal flags used by the zip code when writing zips. More...
enum | CompressionMethod { Stored = 0, Shrunk = 1, ReducedL1 = 2, ReducedL2 = 3, ReducedL3 = 4, ReducedL4 = 5, Imploded = 6, ReservedTokenized = 7, Deflated = 8, EnhDefalted = 9, DateCompression = 10, ReservedPKWARE = 11, BZip2 = 12, PPMd = 98, AESEncrypted = 99 }
enum | FileFlags { Encrypted = BIT(0), Implode8KDictionary = BIT(1), Implode3ShannonFanoTrees = BIT(2), DeflateTypeMask = BIT(1) | BIT(2), FileInfoInDirectory = BIT(3), ReservedEnhDeflate = BIT(4), PatchData = BIT(5), StrongEncryption = BIT(6), UnusedReserved1 = BIT(7), UnusedReserved2 = BIT(8), UnusedReserved3 = BIT(9), UnusedReserved4 = BIT(10), UnusedReserved5 = BIT(11), ReservedPKWARE1 = BIT(12), EncryptedDirectory = BIT(13), ReservedPKWARE2 = BIT(14), ReservedPKWARE3 = BIT(15) }

## Functions
| ImplementCompressor (Deflate, Deflated)
| CompressorCreateReadStream (Deflate)
| CompressorCreateWriteStream (Deflate)
template<class T >
ExtraField * | createExtraField ()
| ImplementCompressor (Stored, Stored)
| CompressorCreateReadStream (Stored)
| CompressorCreateWriteStream (Stored)

## Detailed Description

Namespace for the zip code.

See also
  Zip::ZipArchive, Zip Code Module

## Function Documentation

Zip::CompressorCreateReadStream | ( | Deflate |  | ) |

Zip::CompressorCreateReadStream | ( | Stored |  | ) |

Zip::CompressorCreateWriteStream | ( | Deflate |  | ) |

Zip::CompressorCreateWriteStream | ( | Stored |  | ) |

Zip::ImplementCompressor | ( | Stored | ,
|  | Stored |
| ) |  |

Zip::ImplementCompressor | ( | Deflate | ,
|  | Deflated |
| ) |  |